Agent Nodes

List Files.com Agent nodes

Endpoint

GET/remote_servers/{id}/agent_nodes

Return Object

AgentNode

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Site Admin permissions.

Request Parameters

ParameterDescription
id
int64
Required
Remote Server ID.

Example Request

curl https://app.files.com/api/rest/v1/remote_servers/{id}/agent_nodes.json \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

{
  "node_id": "example",
  "name": "example",
  "hostname": "example",
  "availability_role": "example",
  "status": "example",
  "is_default": true,
  "direct_transfer_available": true,
  "last_seen_at": "2000-01-01T01:00:00Z",
  "instances": [
    {
      "instance_id": "example",
      "process_state": "example",
      "status": "example",
      "is_default": true,
      "agent_version": "example",
      "last_seen_at": "2000-01-01T01:00:00Z",
      "connections": [
        {
          "mode": "example",
          "status": "example",
          "last_seen_at": "2000-01-01T01:00:00Z"
        }
      ]
    }
  ]
}

The AgentNode Object

Some of the endpoints above return a AgentNode object. The attributes of this object are listed below.

AttributeDescription
node_id
string
Stable Agent installation ID
name
string
Customer-configured Agent node name
hostname
string
Hostname reported by the Agent
availability_role
string
Configured traffic preference
Possible values: primary, auto, standby
status
string
Whether this node currently has an available Agent instance
Possible values: available, unavailable
is_default
boolean
Whether this node is the current default route for new unscoped work
direct_transfer_available
boolean
Whether the proxy recently validated a direct connection to this Agent node. False means direct transfers are enabled but not currently available; null means disabled or unsupported.
last_seen_at
date-time
Most recent successful node observation
instances
array(object)
Current Agent processes for this node

Example AgentNode Object

{
  "node_id": "example",
  "name": "example",
  "hostname": "example",
  "availability_role": "example",
  "status": "example",
  "is_default": true,
  "direct_transfer_available": true,
  "last_seen_at": "2000-01-01T01:00:00Z",
  "instances": [
    {
      "instance_id": "example",
      "process_state": "example",
      "status": "example",
      "is_default": true,
      "agent_version": "example",
      "last_seen_at": "2000-01-01T01:00:00Z",
      "connections": [
        {
          "mode": "example",
          "status": "example",
          "last_seen_at": "2000-01-01T01:00:00Z"
        }
      ]
    }
  ]
}